Cockos Incorporated Forums

Cockos Incorporated Forums (https://forum.cockos.com/index.php)
-   ReaScript, JSFX, REAPER Plug-in Extensions (https://forum.cockos.com/forumdisplay.php?f=3)
-   -   hasCockosNoScrollUI (https://forum.cockos.com/showthread.php?t=205120)

cern.th.skei 04-01-2018 03:04 AM

hasCockosNoScrollUI
 
Hi!
I am updating my VST plugin framework/library, and currently I'm experimenting with adding support for various extensions to the VST (2.4) specs.
Reaper asks me (effCanDo) if my plugin "hasCockosNoScrollUI", but I can't find any info about this..
"hasCockosExtensions" is documentet here, but nothing about "hasCockosNoScrollUI"
Anyone knows anything?

- Tor-Helge

Update: in Linux, Reaper also asks for "hasCockosViewAsConfig", which (according to the vst extension link above) means: "When loading a VST plug-in on OS X, REAPER asks the plug-in if it would like to use Cocoa for its UI." .. What does that mean for Linux?

olilarkin 04-02-2018 06:54 AM

I think that reaper has some extra undocumented extensions for reaper plug-ins. you might be best off asking via askjf.com

cern.th.skei 04-02-2018 07:10 AM

yeah.. just wondered if anybody else knew anything.. also, at the top of that page, it says: "Note: please do not ask questions about REAPER features, bugs or scheduling, use the forums instead." :-) but it's probably best to send him an email, i guess..

- tor-helge

Justin 06-12-2018 07:34 AM

Quote:

Originally Posted by cern.th.skei (Post 1973828)
Hi!
I am updating my VST plugin framework/library, and currently I'm experimenting with adding support for various extensions to the VST (2.4) specs.
Reaper asks me (effCanDo) if my plugin "hasCockosNoScrollUI", but I can't find any info about this..
"hasCockosExtensions" is documentet here, but nothing about "hasCockosNoScrollUI"

Best to ignore that one, it's used internally (returning 0xbeef0000 will disable scrollbars and possibly mess with some other stuff).

Quote:

Update: in Linux, Reaper also asks for "hasCockosViewAsConfig", which (according to the vst extension link above) means: "When loading a VST plug-in on OS X, REAPER asks the plug-in if it would like to use Cocoa for its UI." .. What does that mean for Linux?
For Linux it (0xbeef0000) means that the plug-in uses libSwell.so for its UI, and effEditOpen receives a libSwell HWND rather than an X window ID.

Justin 06-12-2018 07:36 AM

Quote:

but it's probably best to send him an email, i guess..
YES! I'm happy to reply to technical questions by email! :)

cern.th.skei 06-13-2018 04:31 AM

thanks!

at the moment, my library/framework is focused on vst 2.4, since that is supported everywhere.. but after the latest steinberg announcements, i'm a bit uncertain about how much effort i should put into the vst2 part.. i will keep support for it, for the time being, but also look at other formats, to "future-proof" the framework..

i recently dug up some of my old code, for ladspa and dssi support, and quickly added that back in.. at the moment i'm looking at both lv2 and vst3.. but they're both quite a mess, and i probably have to do some trickery/hacks to make them work with how my framework is set up!

we'll see how it goes.. :)


All times are GMT -7. The time now is 03:03 AM.

Powered by vBulletin® Version 3.8.11
Copyright ©2000 - 2018, vBulletin Solutions Inc.